Bug 54408 - bltsh24: application-specific initialization failed: can't find package Tk 8.3
bltsh24: application-specific initialization failed: can't find package Tk 8.3
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: blt (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-06 08:58 EDT by Leonid Kanter
Modified: 2015-03-04 20:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-29 04:58:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Kanter 2001-10-06 08:58:00 EDT
Description of Problem:

[leon@leon linux]$ bltsh24
application-specific initialization failed: can't find package Tk 8.3
%

Version-Release number of selected component (if applicable):

blt-2.4u-7


How Reproducible:

always

Additional Information:

strace:
access("/usr/lib/tcl8.3/pkgIndex.tcl", R_OK) = -1 ENOENT (No such file or
directory)
Comment 1 Phil Knirsch 2002-01-23 11:57:03 EST
I've verified the bug. The only thing happening is that you get the warning
message. The easy fix would be to have an empty pkgIndex.tcl file there or a
symlink to the blt directory.

I can't find the source of the problem though, as nowhere in the blt package the
pkgIndex.tcl as being in /usr/lib/tcl8.3 is mentioned.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.